" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr, *.tl and *.tlo
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl,*.tlo set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,%,&,*,+,-,<,=,>,?,\\,_,~,/,^

syn keyword tl_keyword contained %e% %fun% %pi% *
syn keyword tl_keyword contained *args* *args-eff* *args-full* *child-env*
syn keyword tl_keyword contained *compile-opts* *doc-url* *filters* *full-args*
syn keyword tl_keyword contained *gensym-counter* *hash-seed* *lib-version* *listener-greedy-eval-p*
syn keyword tl_keyword contained *listener-hist-len* *listener-multi-line-p* *listener-pprint-p* *listener-sel-inclusive-p*
syn keyword tl_keyword contained *load-args* *load-hooks* *load-path* *load-search-dirs*
syn keyword tl_keyword contained *match-macro* *opt-level* *package* *package-alist*
syn keyword tl_keyword contained *param-macro* *place-clobber-expander* *place-delete-expander* *place-macro*
syn keyword tl_keyword contained *place-update-expander* *pprint-flo-format* *print-base* *print-circle*
syn keyword tl_keyword contained *print-flo-digits* *print-flo-format* *print-flo-precision* *print-json-format*
syn keyword tl_keyword contained *random-state* *random-warmup* *read-bad-json* *read-unknown-structs*
syn keyword tl_keyword contained *rec-source-loc* *stddebug* *stderr* *stdin*
syn keyword tl_keyword contained *stdlog* *stdnull* *stdout* *struct-clause-expander*
syn keyword tl_keyword contained *trace-output* *tree-fun-whitelist* *txr-version* *unhandled-hook*
syn keyword tl_keyword contained + - / /=
syn keyword tl_keyword contained : :abandoned :abs :addr
syn keyword tl_keyword contained :all :android :apf :append
syn keyword tl_keyword contained :args :atime :auto :awk-again
syn keyword tl_keyword contained :awk-file :awk-rec :begin :begin-file
syn keyword tl_keyword contained :blksize :blocks :bool :byte-oriented
syn keyword tl_keyword contained :cdigit :chars :cint :clean
syn keyword tl_keyword contained :close :compile :continue :counter
syn keyword tl_keyword contained :cspace :ctime :cword-char :cygnal
syn keyword tl_keyword contained :cygwin :dec :decline :delegate
syn keyword tl_keyword contained :dev :digit :downcase :end
syn keyword tl_keyword contained :end-file :env :eq-based :eql-based
syn keyword tl_keyword contained :equal-based :error :explicit-no :fallback
syn keyword tl_keyword contained :fd :fence :fields :filter
syn keyword tl_keyword contained :fini :finish :float :form
syn keyword tl_keyword contained :from-current :from-end :from-start :from_html
syn keyword tl_keyword contained :frombase64 :frombase64url :fromhtml :frompercent
syn keyword tl_keyword contained :fromurl :fun :function :gap
syn keyword tl_keyword contained :gid :greedy :hex :hextoint
syn keyword tl_keyword contained :inf :inherit :init :ino
syn keyword tl_keyword contained :inp :inputs :instance :into
syn keyword tl_keyword contained :key :let :lfilt :lines
syn keyword tl_keyword contained :linux :list :lists :local
syn keyword tl_keyword contained :longest :macos :macro :mandatory
syn keyword tl_keyword contained :mass-delegate :match :maxgap :maxtimes
syn keyword tl_keyword contained :method :mid :mingap :mintimes
syn keyword tl_keyword contained :mode :mtime :name :named
syn keyword tl_keyword contained :next-spec :nlink :noclose :nothrow
syn keyword tl_keyword contained :oct :openbsd :outf :outp
syn keyword tl_keyword contained :output :owner :perms :postfini
syn keyword tl_keyword contained :postinit :prio :rdev :real-time
syn keyword tl_keyword contained :reflect :repeat-spec :resolve :rfilt
syn keyword tl_keyword contained :set :set-file :shortest :size
syn keyword tl_keyword contained :solaris :solaris10 :space :standard
syn keyword tl_keyword contained :static :str :string :symacro
syn keyword tl_keyword contained :symlinks :text :times :tlist
syn keyword tl_keyword contained :to_html :tobase64 :tobase64url :tofloat
syn keyword tl_keyword contained :tohtml :tohtml* :toint :tonumber
syn keyword tl_keyword contained :topercent :tourl :uid :unknown
syn keyword tl_keyword contained :upcase :use :use-from :use-syms
syn keyword tl_keyword contained :userdata :var :vars :warn
syn keyword tl_keyword contained :weak-and :weak-keys :weak-or :weak-vals
syn keyword tl_keyword contained :whole :word-char :wrap <
syn keyword tl_keyword contained <= = > >=
syn keyword tl_keyword contained abort abs abs-path-p acons
syn keyword tl_keyword contained acons-new aconsql-new acos acosh
syn keyword tl_keyword contained add-suffix ado af-inet af-inet6
syn keyword tl_keyword contained af-unix af-unspec ai-addrconfig ai-all
syn keyword tl_keyword contained ai-canonname ai-numerichost ai-numericserv ai-passive
syn keyword tl_keyword contained ai-v4mapped alet align alignof
syn keyword tl_keyword contained alist-nremove alist-remove all allocate-struct
syn keyword tl_keyword contained and andf ap apf
syn keyword tl_keyword contained append append* append-each append-each*
syn keyword tl_keyword contained append-each-prod append-each-prod* append-match-products append-matches
syn keyword tl_keyword contained apply aret arithp array
syn keyword tl_keyword contained arraysize ash asin asinh
syn keyword tl_keyword contained assert assoc assq assql
syn keyword tl_keyword contained at-exit-call at-exit-do-not-call atan atan2
syn keyword tl_keyword contained atanh atom awk base-name
syn keyword tl_keyword contained base64-decode base64-decode-buf base64-encode base64-stream-dec
syn keyword tl_keyword contained base64-stream-enc base64url-decode base64url-decode-buf base64url-encode
syn keyword tl_keyword contained base64url-stream-dec base64url-stream-enc bchar be-double
syn keyword tl_keyword contained be-float be-int16 be-int32 be-int64
syn keyword tl_keyword contained be-uint16 be-uint32 be-uint64 bignum-len
syn keyword tl_keyword contained bignump bindable bit bitset
syn keyword tl_keyword contained blkcnt-t blksize-t block block*
syn keyword tl_keyword contained bool boundp bracket break-str
syn keyword tl_keyword contained brkint bs0 bs1 bsdly
syn keyword tl_keyword contained bstr bstr-d bstr-s buf
syn keyword tl_keyword contained buf-alloc-size buf-carray buf-compress buf-d
syn keyword tl_keyword contained buf-decompress buf-get-char buf-get-cptr buf-get-double
syn keyword tl_keyword contained buf-get-float buf-get-i16 buf-get-i32 buf-get-i64
syn keyword tl_keyword contained buf-get-i8 buf-get-int buf-get-long buf-get-short
syn keyword tl_keyword contained buf-get-u16 buf-get-u32 buf-get-u64 buf-get-u8
syn keyword tl_keyword contained buf-get-uchar buf-get-uint buf-get-ulong buf-get-ushort
syn keyword tl_keyword contained buf-int buf-list buf-put-buf buf-put-char
syn keyword tl_keyword contained buf-put-cptr buf-put-double buf-put-float buf-put-i16
syn keyword tl_keyword contained buf-put-i32 buf-put-i64 buf-put-i8 buf-put-int
syn keyword tl_keyword contained buf-put-long buf-put-short buf-put-u16 buf-put-u32
syn keyword tl_keyword contained buf-put-u64 buf-put-u8 buf-put-uchar buf-put-uint
syn keyword tl_keyword contained buf-put-ulong buf-put-ushort buf-set-length buf-str
syn keyword tl_keyword contained buf-trim buf-uint bufp build
syn keyword tl_keyword contained build-list buildn built-in-type-p butlast
syn keyword tl_keyword contained butlastn caaaaar caaaadr caaaar
syn keyword tl_keyword contained caaadar caaaddr caaadr caaar
syn keyword tl_keyword contained caadaar caadadr caadar caaddar
syn keyword tl_keyword contained caadddr caaddr caadr caar
syn keyword tl_keyword contained cadaaar cadaadr cadaar cadadar
syn keyword tl_keyword contained cadaddr cadadr cadar caddaar
syn keyword tl_keyword contained caddadr caddar cadddar caddddr
syn keyword tl_keyword contained cadddr caddr cadr call
syn keyword tl_keyword contained call-clobber-expander call-delete-expander call-finalizers call-super-fun
syn keyword tl_keyword contained call-super-method call-update-expander callf car
syn keyword tl_keyword contained carray carray-blank carray-buf carray-buf-sync
syn keyword tl_keyword contained carray-cptr carray-dup carray-free carray-get
syn keyword tl_keyword contained carray-getz carray-int carray-list carray-own
syn keyword tl_keyword contained carray-pun carray-put carray-putz carray-ref
syn keyword tl_keyword contained carray-refset carray-replace carray-set-length carray-sub
syn keyword tl_keyword contained carray-type carray-uint carray-vec carrayp
syn keyword tl_keyword contained caseq caseq* caseql caseql*
syn keyword tl_keyword contained casequal casequal* cat-files cat-str
syn keyword tl_keyword contained cat-streams cat-vec catch catch*
syn keyword tl_keyword contained catch** catenated-stream-p catenated-stream-push cbaud
syn keyword tl_keyword contained cbaudex cbrt cdaaaar cdaaadr
syn keyword tl_keyword contained cdaaar cdaadar cdaaddr cdaadr
syn keyword tl_keyword contained cdaar cdadaar cdadadr cdadar
syn keyword tl_keyword contained cdaddar cdadddr cdaddr cdadr
syn keyword tl_keyword contained cdar cddaaar cddaadr cddaar
syn keyword tl_keyword contained cddadar cddaddr cddadr cddar
syn keyword tl_keyword contained cdddaar cdddadr cdddar cddddar
syn keyword tl_keyword contained cdddddr cddddr cdddr cddr
syn keyword tl_keyword contained cdr ceil ceil-rem chain
syn keyword tl_keyword contained chand char chdir chmod
syn keyword tl_keyword contained chmod-rec chown chown-rec chr-digit
syn keyword tl_keyword contained chr-int chr-isalnum chr-isalpha chr-isascii
syn keyword tl_keyword contained chr-isblank chr-iscntrl chr-isdigit chr-isgraph
syn keyword tl_keyword contained chr-islower chr-isprint chr-ispunct chr-isspace
syn keyword tl_keyword contained chr-isunisp chr-isupper chr-isxdigit chr-num
syn keyword tl_keyword contained chr-str chr-str-set chr-tolower chr-toupper
syn keyword tl_keyword contained chr-xdigit chrp clamp clean-file
syn keyword tl_keyword contained clear-dirty clear-error clear-mask clear-struct
syn keyword tl_keyword contained clearhash clocal clock-t clockid-t
syn keyword tl_keyword contained close close-lazy-streams close-stream closedir
syn keyword tl_keyword contained closelog closure cmp-str cmspar
syn keyword tl_keyword contained cnsort coded-length collect-each collect-each*
syn keyword tl_keyword contained collect-each-prod collect-each-prod* comb command-get
syn keyword tl_keyword contained command-get-buf command-get-json command-get-jsons command-get-lines
syn keyword tl_keyword contained command-get-string command-put command-put-buf command-put-json
syn keyword tl_keyword contained command-put-jsons command-put-lines command-put-string compare-swap
syn keyword tl_keyword contained compile compile-defr-warning compile-error compile-file
syn keyword tl_keyword contained compile-only compile-toplevel compile-update-file compile-warning
syn keyword tl_keyword contained compiler-let compl-span-str cond conda
syn keyword tl_keyword contained condlet cons conses conses*
syn keyword tl_keyword contained consp constantp contain[s] copy
syn keyword tl_keyword contained copy-alist copy-buf copy-carray copy-cons
syn keyword tl_keyword contained copy-cptr copy-file copy-files copy-fun
syn keyword tl_keyword contained copy-hash copy-list copy-path-rec copy-search-tree
syn keyword tl_keyword contained copy-str copy-struct copy-tnode copy-tree
syn keyword tl_keyword contained copy-tree-iter copy-vec copysign cos
syn keyword tl_keyword contained cosh count count-if count-until-match
syn keyword tl_keyword contained countq countql countqual cptr
syn keyword tl_keyword contained cptr-buf cptr-carray cptr-cast cptr-free
syn keyword tl_keyword contained cptr-get cptr-int cptr-null cptr-obj
syn keyword tl_keyword contained cptr-out cptr-size-hint cptr-type cptr-zap
syn keyword tl_keyword contained cptrp cr0 cr1 cr2
syn keyword tl_keyword contained cr3 crc32 crc32-stream crdly
syn keyword tl_keyword contained cread crtscts crypt cs5
syn keyword tl_keyword contained cs6 cs7 cs8 csize
syn keyword tl_keyword contained csnsort csort cssort cstopb
syn keyword tl_keyword contained cum-norm-dist cxr cyr daemon
syn keyword tl_keyword contained dec defer-warning defex deffi
syn keyword tl_keyword contained deffi-cb deffi-cb-unsafe deffi-struct deffi-sym
syn keyword tl_keyword contained deffi-type deffi-union deffi-var define-accessor
syn keyword tl_keyword contained define-modify-macro define-option-struct define-param-expander define-place-macro
syn keyword tl_keyword contained define-struct-clause define-struct-prelude defmacro defmatch
syn keyword tl_keyword contained defmeth defpackage defparm defparml
syn keyword tl_keyword contained defplace defset defstruct defsymacro
syn keyword tl_keyword contained defun defun-match defvar defvarl
syn keyword tl_keyword contained del delay delcons delete-package
syn keyword tl_keyword contained dev-t diff digits digpow
syn keyword tl_keyword contained dir-name dirstat disassemble display-width
syn keyword tl_keyword contained divides dlclose dlopen dlsym
syn keyword tl_keyword contained dlsym-checked dlvsym dlvsym-checked do
syn keyword tl_keyword contained doc dohash doloop doloop*
syn keyword tl_keyword contained dotimes double downcase-str drem
syn keyword tl_keyword contained drop drop-until drop-while dt-blk
syn keyword tl_keyword contained dt-chr dt-dir dt-fifo dt-lnk
syn keyword tl_keyword contained dt-reg dt-sock dt-unknown dump-compiled-objects
syn keyword tl_keyword contained dump-deferred-warnings dup dupfd dwim
syn keyword tl_keyword contained e2big eacces each each*
syn keyword tl_keyword contained each-false each-match each-match-product each-prod
syn keyword tl_keyword contained each-prod* each-true eaddrinuse eaddrnotavail
syn keyword tl_keyword contained eafnosupport eagain ealready ebadf
syn keyword tl_keyword contained ebadmsg ebusy ecanceled ecaseq
syn keyword tl_keyword contained ecaseq* ecaseql ecaseql* ecasequal
syn keyword tl_keyword contained ecasequal* echild echo echoctl
syn keyword tl_keyword contained echoe echok echoke echonl
syn keyword tl_keyword contained echoprt econnaborted econnrefused econnreset
syn keyword tl_keyword contained edeadlk edestaddrreq edom edquot
syn keyword tl_keyword contained eexist efault efbig ehostunreach
syn keyword tl_keyword contained eidrm eighth eilseq einprogress
syn keyword tl_keyword contained eintr einval eio eisconn
syn keyword tl_keyword contained eisdir elemsize elemtype eloop
syn keyword tl_keyword contained emfile emlink empty emsgsize
syn keyword tl_keyword contained emultihop enametoolong endgrent endp
syn keyword tl_keyword contained endpwent ends-with enetdown enetreset
syn keyword tl_keyword contained enetunreach enfile enobufs enodata
syn keyword tl_keyword contained enodev enoent enoexec enolck
syn keyword tl_keyword contained enolink enomem enomsg enoprotoopt
syn keyword tl_keyword contained enospc enosr enostr enosys
syn keyword tl_keyword contained enotconn enotdir enotempty enotrecoverable
syn keyword tl_keyword contained enotsock enotsup enotty ensure-dir
syn keyword tl_keyword contained enum enumed env env-fbind
syn keyword tl_keyword contained env-fbindings env-hash env-next env-vbind
syn keyword tl_keyword contained env-vbindings enxio eopnotsupp eoverflow
syn keyword tl_keyword contained eownerdead eperm epipe eproto
syn keyword tl_keyword contained eprotonosupport eprototype eq eql
syn keyword tl_keyword contained equal equot erange erf
syn keyword tl_keyword contained erfc erofs errno error
syn keyword tl_keyword contained espipe esrch estale etime
syn keyword tl_keyword contained etimedout etxtbsy etypecase eval
syn keyword tl_keyword contained eval-only evenp ewouldblock exception-subtype-map
syn keyword tl_keyword contained exception-subtype-p exdev exec exit
syn keyword tl_keyword contained exit* exp exp10 exp2
syn keyword tl_keyword contained expand expand* expand-left expand-right
syn keyword tl_keyword contained expand-with-free-refs expander-let expm1 expt
syn keyword tl_keyword contained exptmod extproc f$ f-dupfd
syn keyword tl_keyword contained f-dupfd-cloexec f-getfd f-getfl f-getlk
syn keyword tl_keyword contained f-rdlck f-setfd f-setfl f-setlk
syn keyword tl_keyword contained f-setlkw f-unlck f-wrlck f^
syn keyword tl_keyword contained f^$ false fboundp fcntl
syn keyword tl_keyword contained fd-cloexec fdim ff0 ff1
syn keyword tl_keyword contained ffdly ffi ffi-alignof ffi-arraysize
syn keyword tl_keyword contained ffi-call ffi-elemsize ffi-elemtype ffi-get
syn keyword tl_keyword contained ffi-in ffi-make-call-desc ffi-make-closure ffi-offsetof
syn keyword tl_keyword contained ffi-out ffi-put ffi-put-into ffi-size
syn keyword tl_keyword contained ffi-type-compile ffi-type-operator-p ffi-type-p ffi-typedef
syn keyword tl_keyword contained fifth file-append file-append-buf file-append-json
syn keyword tl_keyword contained file-append-jsons file-append-lines file-append-string file-get
syn keyword tl_keyword contained file-get-buf file-get-json file-get-jsons file-get-lines
syn keyword tl_keyword contained file-get-string file-place-buf file-put file-put-buf
syn keyword tl_keyword contained file-put-json file-put-jsons file-put-lines file-put-string
syn keyword tl_keyword contained fileno fill-buf fill-buf-adjust fill-carray
syn keyword tl_keyword contained fill-obj fill-vec filter-equal filter-string-tree
syn keyword tl_keyword contained finalize find find-frame find-frames
syn keyword tl_keyword contained find-frames-by-mask find-if find-max find-max-key
syn keyword tl_keyword contained find-min find-min-key find-package find-struct-type
syn keyword tl_keyword contained find-symbol find-symbol-fb find-true first
syn keyword tl_keyword contained fixnum-max fixnum-min fixnump flatcar
syn keyword tl_keyword contained flatcar* flatten flatten* flet
syn keyword tl_keyword contained flip flipargs flo-dig flo-down
syn keyword tl_keyword contained flo-epsilon flo-get-round-mode flo-int flo-max
syn keyword tl_keyword contained flo-max-dig flo-min flo-near flo-set-round-mode
syn keyword tl_keyword contained flo-str flo-up flo-zero float
syn keyword tl_keyword contained floatp floor floor-rem flow
syn keyword tl_keyword contained flush-stream flusho fmakunbound fmax
syn keyword tl_keyword contained fmin fmt fnm-casefold fnm-extmatch
syn keyword tl_keyword contained fnm-leading-dir fnm-noescape fnm-pathname fnm-period
syn keyword tl_keyword contained fnmatch for for* force
syn keyword tl_keyword contained force-break fork format fourth
syn keyword tl_keyword contained fr$ fr^ fr^$ from
syn keyword tl_keyword contained frr fsblkcnt-t fsfilcnt-t fstat
syn keyword tl_keyword contained ftw ftw-actionretval ftw-chdir ftw-continue
syn keyword tl_keyword contained ftw-d ftw-depth ftw-dnr ftw-dp
syn keyword tl_keyword contained ftw-f ftw-mount ftw-ns ftw-phys
syn keyword tl_keyword contained ftw-skip-siblings ftw-skip-subtree ftw-sl ftw-sln
syn keyword tl_keyword contained ftw-stop fun fun-fixparam-count fun-optparam-count
syn keyword tl_keyword contained fun-variadic func-get-env func-get-form func-get-name
syn keyword tl_keyword contained func-set-env functionp gamma gcd
syn keyword tl_keyword contained gen gen-hash-seed generate gensym
syn keyword tl_keyword contained gequal get-buf-from-stream get-byte get-char
syn keyword tl_keyword contained get-clobber-expander get-delete-expander get-error get-error-str
syn keyword tl_keyword contained get-frames get-hash-userdata get-indent get-indent-mode
syn keyword tl_keyword contained get-json get-jsons get-line get-line-as-buf
syn keyword tl_keyword contained get-lines get-list-from-stream get-obj get-sig-handler
syn keyword tl_keyword contained get-stack-limit get-string get-string-from-stream get-update-expander
syn keyword tl_keyword contained getaddrinfo getegid getenv geteuid
syn keyword tl_keyword contained getgid getgrent getgrgid getgrnam
syn keyword tl_keyword contained getgroups gethash getitimer getopts
syn keyword tl_keyword contained getpid getppid getpwent getpwnam
syn keyword tl_keyword contained getpwuid getresgid getresuid getrlimit
syn keyword tl_keyword contained getuid gid-t ginterate giterate
syn keyword tl_keyword contained glob glob-altdirfunc glob-brace glob-err
syn keyword tl_keyword contained glob-mark glob-nocheck glob-noescape glob-nomagic
syn keyword tl_keyword contained glob-nosort glob-onlydir glob-period glob-tilde
syn keyword tl_keyword contained glob-tilde-check go grade greater
syn keyword tl_keyword contained group-by group-map group-reduce gun
syn keyword tl_keyword contained handle handle* handler-bind hash
syn keyword tl_keyword contained hash-alist hash-begin hash-construct hash-count
syn keyword tl_keyword contained hash-diff hash-eql hash-equal hash-from-alist
syn keyword tl_keyword contained hash-from-pairs hash-invert hash-isec hash-keys
syn keyword tl_keyword contained hash-keys-of hash-list hash-map hash-next
syn keyword tl_keyword contained hash-pairs hash-peek hash-proper-subset hash-props
syn keyword tl_keyword contained hash-reset hash-revget hash-subset hash-symdiff
syn keyword tl_keyword contained hash-uni hash-update hash-update-1 hash-userdata
syn keyword tl_keyword contained hash-values hash-zip hashp have
syn keyword tl_keyword contained hlet hlet* html-decode html-encode
syn keyword tl_keyword contained html-encode* hupcl hypot iapply
syn keyword tl_keyword contained icanon icrnl id-t identity
syn keyword tl_keyword contained identity* ido iexten if
syn keyword tl_keyword contained if-match ifa iff iffi
syn keyword tl_keyword contained iflet ignbrk igncr ignerr
syn keyword tl_keyword contained ignore ignpar ignwarn imaxbel
syn keyword tl_keyword contained improper-plist-to-alist in in-package in-range
syn keyword tl_keyword contained in-range* in6addr-any in6addr-loopback in6addr-str
syn keyword tl_keyword contained inaddr-any inaddr-loopback inaddr-str inc
syn keyword tl_keyword contained inc-indent inc-indent-abs indent-code indent-data
syn keyword tl_keyword contained indent-foff indent-off inhash inlcr
syn keyword tl_keyword contained ino-t inpck int int-buf
syn keyword tl_keyword contained int-carray int-chr int-cptr int-flo
syn keyword tl_keyword contained int-ptr-t int-str int16 int32
syn keyword tl_keyword contained int64 int8 integerp intern
syn keyword tl_keyword contained intern-fb interp-fun-p interpose intmax-t
syn keyword tl_keyword contained inv-cum-norm invoke-catch ip ipf
syn keyword tl_keyword contained ipproto-ip ipproto-ipv6 ipproto-tcp ipproto-udp
syn keyword tl_keyword contained ipv6-join-group ipv6-leave-group ipv6-multicast-hops ipv6-multicast-if
syn keyword tl_keyword contained ipv6-multicast-loop ipv6-unicast-hops ipv6-v6only iread
syn keyword tl_keyword contained isatty isec isecp isig
syn keyword tl_keyword contained isqrt istrip iter-begin iter-item
syn keyword tl_keyword contained iter-more iter-reset iter-step iterable
syn keyword tl_keyword contained itimer-prof itimer-real itimer-virtual iuclc
syn keyword tl_keyword contained iutf8 ixany ixoff ixon
syn keyword tl_keyword contained j0 j1 jn join
syn keyword tl_keyword contained join-with json juxt keep-if
syn keyword tl_keyword contained keep-if* keep-keys-if keep-match-products keep-matches
syn keyword tl_keyword contained keepq keepql keepqual key
syn keyword tl_keyword contained key-t keyword-package keywordp kill
syn keyword tl_keyword contained labels lambda lambda-match last
syn keyword tl_keyword contained lazy-str lazy-str-force lazy-str-force-upto lazy-str-get-trailing-list
syn keyword tl_keyword contained lazy-stream-cons lazy-stringp lchown lcm
syn keyword tl_keyword contained lcons lcons-car lcons-cdr lcons-fun
syn keyword tl_keyword contained lconsp ldexp ldiff ldo
syn keyword tl_keyword contained le-double le-float le-int16 le-int32
syn keyword tl_keyword contained le-int64 le-uint16 le-uint32 le-uint64
syn keyword tl_keyword contained left len length length-buf
syn keyword tl_keyword contained length-carray length-list length-str length-str-<
syn keyword tl_keyword contained length-str-<= length-str-> length-str->= length-vec
syn keyword tl_keyword contained lequal less let let*
syn keyword tl_keyword contained lexical-binding-kind lexical-fun-binding-kind lexical-fun-p lexical-lisp1-binding
syn keyword tl_keyword contained lexical-macro-p lexical-symacro-p lexical-var-p lgamma
syn keyword tl_keyword contained lib-version link lisp-parse list
syn keyword tl_keyword contained list* list-carray list-seq list-str
syn keyword tl_keyword contained list-vec list-vector listp lnew
syn keyword tl_keyword contained lnew* load load-args-process load-args-recurse
syn keyword tl_keyword contained load-for load-time loff-t log
syn keyword tl_keyword contained log-alert log-auth log-authpriv log-cons
syn keyword tl_keyword contained log-crit log-daemon log-debug log-emerg
syn keyword tl_keyword contained log-err log-info log-ndelay log-notice
syn keyword tl_keyword contained log-nowait log-odelay log-perror log-pid
syn keyword tl_keyword contained log-user log-warning log10 log1p
syn keyword tl_keyword contained log2 logand logb logcount
syn keyword tl_keyword contained logior lognot logtest logtrunc
syn keyword tl_keyword contained logxor long long-suffix longlong
syn keyword tl_keyword contained lop lset lstat lutimes
syn keyword tl_keyword contained m$ m^ m^$ mac-env-param-bind
syn keyword tl_keyword contained mac-param-bind macro-ancestor macro-form-p macro-time
syn keyword tl_keyword contained macroexpand macroexpand-1 macroexpand-1-lisp1 macroexpand-1-place
syn keyword tl_keyword contained macroexpand-lisp1 macroexpand-match macroexpand-params macroexpand-place
syn keyword tl_keyword contained macroexpand-struct-clause macrolet madv-dodump madv-dofork
syn keyword tl_keyword contained madv-dontdump madv-dontfork madv-dontneed madv-free
syn keyword tl_keyword contained madv-hugepage madv-hwpoison madv-keeponfork madv-mergeable
syn keyword tl_keyword contained madv-nohugepage madv-normal madv-random madv-remove
syn keyword tl_keyword contained madv-sequential madv-unmergeable madv-willneed madv-wipeonfork
syn keyword tl_keyword contained madvise major make-buf make-buf-stream
syn keyword tl_keyword contained make-byte-input-stream make-catenated-stream make-env make-hash
syn keyword tl_keyword contained make-lazy-cons make-lazy-struct make-like make-package
syn keyword tl_keyword contained make-random-state make-similar-hash make-similar-tree make-string-byte-input-stream
syn keyword tl_keyword contained make-string-input-stream make-string-output-stream make-strlist-input-stream make-strlist-output-stream
syn keyword tl_keyword contained make-struct make-struct-delegate-stream make-struct-type make-sym
syn keyword tl_keyword contained make-time make-time-utc make-trie make-union
syn keyword tl_keyword contained make-zstruct makedev makunbound map-anon
syn keyword tl_keyword contained map-fixed map-growsdown map-huge-mask map-huge-shift
syn keyword tl_keyword contained map-hugetlb map-locked map-nonblock map-noreserve
syn keyword tl_keyword contained map-populate map-private map-shared map-stack
syn keyword tl_keyword contained mapcar mapcar* mapdo mapf
syn keyword tl_keyword contained maphash mappend mappend* maprend
syn keyword tl_keyword contained maprod maprodo mask match
syn keyword tl_keyword contained match-case match-cond match-ecase match-error
syn keyword tl_keyword contained match-fboundp match-fun match-regex match-regex-right
syn keyword tl_keyword contained match-regst match-regst-right match-str match-str-tree
syn keyword tl_keyword contained max mboundp md5 md5-begin
syn keyword tl_keyword contained md5-end md5-hash md5-stream member
syn keyword tl_keyword contained member-if memp memq memql
syn keyword tl_keyword contained memqual meq meql mequal
syn keyword tl_keyword contained merge merge-delete-package meth method
syn keyword tl_keyword contained min minor minusp mismatch
syn keyword tl_keyword contained mkdir mkdtemp mkfifo mknod
syn keyword tl_keyword contained mkstemp mkstring mlet mmakunbound
syn keyword tl_keyword contained mmap mod mode-t mprotect
syn keyword tl_keyword contained ms-async ms-invalidate ms-sync msync
syn keyword tl_keyword contained mul-each mul-each* mul-each-prod mul-each-prod*
syn keyword tl_keyword contained multi multi-sort munmap n-choose-k
syn keyword tl_keyword contained n-perm-k nand nandf nconc
syn keyword tl_keyword contained nearbyint neg neq neql
syn keyword tl_keyword contained nequal new new* nexpand-left
syn keyword tl_keyword contained nextafter nil nilf ninth
syn keyword tl_keyword contained nl0 nl1 nldly nlink-t
syn keyword tl_keyword contained noflsh none nor norf
syn keyword tl_keyword contained not notf nreconc nreverse
syn keyword tl_keyword contained nrot nshuffle nsort nth
syn keyword tl_keyword contained nthcdr nthlast null nullify
syn keyword tl_keyword contained num-chr num-str numberp nzerop
syn keyword tl_keyword contained o-accmode o-append o-async o-cloexec
syn keyword tl_keyword contained o-creat o-direct o-directory o-noatime
syn keyword tl_keyword contained o-noctty o-nofollow o-nonblock o-path
syn keyword tl_keyword contained o-rdonly o-rdwr o-sync o-trunc
syn keyword tl_keyword contained o-wronly oand obtain obtain*
syn keyword tl_keyword contained obtain*-block obtain-block ocrnl oddp
syn keyword tl_keyword contained ofdel off-t offsetof ofill
syn keyword tl_keyword contained olcuc onlcr onlret onocr
syn keyword tl_keyword contained op open-command open-directory open-file
syn keyword tl_keyword contained open-fileno open-files open-files* open-pipe
syn keyword tl_keyword contained open-process open-socket open-socket-pair open-subprocess
syn keyword tl_keyword contained open-tail opendir openlog opip
syn keyword tl_keyword contained opost opt opthelp opthelp-conventions
syn keyword tl_keyword contained opthelp-types or orf pack
syn keyword tl_keyword contained package-alist package-fallback-list package-foreign-symbols package-local-symbols
syn keyword tl_keyword contained package-name package-symbols packagep pad
syn keyword tl_keyword contained page-size pairlis parenb parmrk
syn keyword tl_keyword contained parodd parse-errors partition partition*
syn keyword tl_keyword contained partition-by partition-if path-blkdev-p path-cat
syn keyword tl_keyword contained path-chrdev-p path-components-safe path-dir-empty path-dir-p
syn keyword tl_keyword contained path-equal path-executable-to-me-p path-exists-p path-file-p
syn keyword tl_keyword contained path-mine-p path-my-group-p path-newer path-older
syn keyword tl_keyword contained path-pipe-p path-private-to-me-p path-read-writable-to-me-p path-readable-to-me-p
syn keyword tl_keyword contained path-safe-sticky-dir path-same-object path-search path-sep-chars
syn keyword tl_keyword contained path-setgid-p path-setuid-p path-sock-p path-sticky-p
syn keyword tl_keyword contained path-strictly-private-to-me-p path-symlink-p path-writable-to-me-p pdec
syn keyword tl_keyword contained pendin perm pic pid-t
syn keyword tl_keyword contained pinc pipe place-form-p placelet
syn keyword tl_keyword contained placelet* plist-to-alist plusp poll
syn keyword tl_keyword contained poll-err poll-in poll-nval poll-out
syn keyword tl_keyword contained poll-pri poll-rdband poll-rdhup poll-wrband
syn keyword tl_keyword contained poly pop pop-after-load portable-abs-path-p
syn keyword tl_keyword contained pos pos-if pos-max pos-min
syn keyword tl_keyword contained posq posql posqual pppred
syn keyword tl_keyword contained ppred pprinl pprint pprof
syn keyword tl_keyword contained pred prinl print prod
syn keyword tl_keyword contained prof prog prog* prog1
syn keyword tl_keyword contained prog2 progn progv promisep
syn keyword tl_keyword contained prop proper-list-p proper-listp prot-exec
syn keyword tl_keyword contained prot-growsdown prot-growsup prot-none prot-read
syn keyword tl_keyword contained prot-write pset ptr ptr-in
syn keyword tl_keyword contained ptr-in-d ptr-out ptr-out-d ptr-out-s
syn keyword tl_keyword contained ptrdiff-t pub:txr-sym pure-rel-path-p purge-deferred-warning
syn keyword tl_keyword contained push push-after-load pushhash pushnew
syn keyword tl_keyword contained put-buf put-byte put-carray put-char
syn keyword tl_keyword contained put-json put-jsonl put-jsons put-line
syn keyword tl_keyword contained put-lines put-obj put-string put-strings
syn keyword tl_keyword contained pwd qquote qref quantile
syn keyword tl_keyword contained quip quote r$ r^
syn keyword tl_keyword contained r^$ raise rand random
syn keyword tl_keyword contained random-buf random-fixnum random-float random-float-incl
syn keyword tl_keyword contained random-sample random-state-get-vec random-state-p range
syn keyword tl_keyword contained range* range-regex rangep rassoc
syn keyword tl_keyword contained rassq rassql rcomb rcons
syn keyword tl_keyword contained read read-once read-until-match readdir
syn keyword tl_keyword contained readlink real-time-stream-p realpath record-adapter
syn keyword tl_keyword contained reduce-left reduce-right ref refset
syn keyword tl_keyword contained regex-compile regex-from-trie regex-optimize regex-parse
syn keyword tl_keyword contained regex-prefix-match regex-source regexp register-exception-subtypes
syn keyword tl_keyword contained register-tentative-def regsub rehome-sym reject
syn keyword tl_keyword contained rel-path relate release-deferred-warnings remainder
syn keyword tl_keyword contained remhash remove-if remove-if* remove-path
syn keyword tl_keyword contained remove-path-rec remq remq* remql
syn keyword tl_keyword contained remql* remqual remqual* rename-path
syn keyword tl_keyword contained repeat replace replace-buf replace-env
syn keyword tl_keyword contained replace-list replace-str replace-struct replace-tree-iter
syn keyword tl_keyword contained replace-vec reset-struct rest ret
syn keyword tl_keyword contained retf return return* return-from
syn keyword tl_keyword contained revappend reverse rfind rfind-if
syn keyword tl_keyword contained right rint rlcp rlcp-tree
syn keyword tl_keyword contained rlet rlim-infinity rlim-saved-cur rlim-saved-max
syn keyword tl_keyword contained rlimit-as rlimit-core rlimit-cpu rlimit-data
syn keyword tl_keyword contained rlimit-fsize rlimit-nofile rlimit-stack rlist
syn keyword tl_keyword contained rlist* rmdir rmember rmember-if
syn keyword tl_keyword contained rmemq rmemql rmemqual rmismatch
syn keyword tl_keyword contained rot rotate round round-rem
syn keyword tl_keyword contained rperm rplaca rplacd rpoly
syn keyword tl_keyword contained rpos rpos-if rposq rposql
syn keyword tl_keyword contained rposqual rr rra rsearch
syn keyword tl_keyword contained rslot rtld-deepbind rtld-global rtld-lazy
syn keyword tl_keyword contained rtld-local rtld-nodelete rtld-noload rtld-now
syn keyword tl_keyword contained run s-ifblk s-ifchr s-ifdir
syn keyword tl_keyword contained s-ififo s-iflnk s-ifmt s-ifreg
syn keyword tl_keyword contained s-ifsock s-irgrp s-iroth s-irusr
syn keyword tl_keyword contained s-irwxg s-irwxo s-irwxu s-isgid
syn keyword tl_keyword contained s-isuid s-isvtx s-iwgrp s-iwoth
syn keyword tl_keyword contained s-iwusr s-ixgrp s-ixoth s-ixusr
syn keyword tl_keyword contained save-exe sbit scalb scalbln
syn keyword tl_keyword contained scan-until-match search search-all search-regex
syn keyword tl_keyword contained search-regst search-str search-str-tree second
syn keyword tl_keyword contained seek-cur seek-end seek-set seek-stream
syn keyword tl_keyword contained select self-load-path self-path separate
syn keyword tl_keyword contained separate-keys seq-begin seq-next seq-reset
syn keyword tl_keyword contained seqp set set-diff set-hash-userdata
syn keyword tl_keyword contained set-indent set-indent-mode set-key set-left
syn keyword tl_keyword contained set-mask set-max-depth set-max-length set-package-fallback-list
syn keyword tl_keyword contained set-right set-sig-handler set-stack-limit setegid
syn keyword tl_keyword contained setenv seteuid setgid setgrent
syn keyword tl_keyword contained setgroups sethash setitimer setlogmask
syn keyword tl_keyword contained setpwent setresgid setresuid setrlimit
syn keyword tl_keyword contained setuid seventh sh sha1
syn keyword tl_keyword contained sha1-begin sha1-end sha1-hash sha1-stream
syn keyword tl_keyword contained sha256 sha256-begin sha256-end sha256-hash
syn keyword tl_keyword contained sha256-stream shift short short-suffix
syn keyword tl_keyword contained shuffle shut-rd shut-rdwr shut-wr
syn keyword tl_keyword contained sig-abrt sig-alrm sig-atomic-t sig-bus
syn keyword tl_keyword contained sig-check sig-chld sig-cont sig-fpe
syn keyword tl_keyword contained sig-hup sig-ill sig-int sig-io
syn keyword tl_keyword contained sig-iot sig-kill sig-pipe sig-poll
syn keyword tl_keyword contained sig-prof sig-pwr sig-quit sig-segv
syn keyword tl_keyword contained sig-stkflt sig-stop sig-sys sig-term
syn keyword tl_keyword contained sig-trap sig-tstp sig-ttin sig-ttou
syn keyword tl_keyword contained sig-urg sig-usr1 sig-usr2 sig-vtalrm
syn keyword tl_keyword contained sig-winch sig-xcpu sig-xfsz sign-extend
syn keyword tl_keyword contained significand signum sin sinh
syn keyword tl_keyword contained sixth size-t size-vec sizeof
syn keyword tl_keyword contained slet slot slotp slots
syn keyword tl_keyword contained slotset snsort so-acceptconn so-broadcast
syn keyword tl_keyword contained so-debug so-dontroute so-error so-keepalive
syn keyword tl_keyword contained so-linger so-oobinline so-rcvbuf so-rcvlowat
syn keyword tl_keyword contained so-rcvtimeo so-reuseaddr so-sndbuf so-sndlowat
syn keyword tl_keyword contained so-sndtimeo so-type sock-accept sock-bind
syn keyword tl_keyword contained sock-cloexec sock-connect sock-dgram sock-family
syn keyword tl_keyword contained sock-listen sock-nonblock sock-opt sock-peer
syn keyword tl_keyword contained sock-recv-timeout sock-send-timeout sock-set-opt sock-set-peer
syn keyword tl_keyword contained sock-shutdown sock-stream sock-type sockaddr-str
syn keyword tl_keyword contained socklen-t sol-socket some some-false
syn keyword tl_keyword contained some-true sort sort-group source-loc
syn keyword tl_keyword contained source-loc-str span-str special-operator-p special-var-p
syn keyword tl_keyword contained spl splice split split*
syn keyword tl_keyword contained split-str split-str-set spln sqrt
syn keyword tl_keyword contained square ssize-t ssort sspl
syn keyword tl_keyword contained sssucc ssucc starts-with stat
syn keyword tl_keyword contained static-slot static-slot-ensure static-slot-home static-slot-p
syn keyword tl_keyword contained static-slot-set stdlib str str-buf
syn keyword tl_keyword contained str-d str-in6addr str-in6addr-net str-inaddr
syn keyword tl_keyword contained str-inaddr-net str-s str-seq str<
syn keyword tl_keyword contained str<= str= str> str>=
syn keyword tl_keyword contained stream-get-prop stream-set-prop streamp strerror
syn keyword tl_keyword contained string-extend string-finish string-get-code string-lt
syn keyword tl_keyword contained string-set-code stringp strsignal struct
syn keyword tl_keyword contained struct-from-args struct-from-plist struct-get-initfun struct-get-postinitfun
syn keyword tl_keyword contained struct-set-initfun struct-set-postinitfun struct-type struct-type-name
syn keyword tl_keyword contained struct-type-p structp sub sub-buf
syn keyword tl_keyword contained sub-list sub-str sub-tree sub-vec
syn keyword tl_keyword contained subq subql subqual subst
syn keyword tl_keyword contained subtypep succ sum sum-each
syn keyword tl_keyword contained sum-each* sum-each-prod sum-each-prod* super
syn keyword tl_keyword contained super-method suspend swap symacrolet
syn keyword tl_keyword contained symbol-function symbol-macro symbol-name symbol-package
syn keyword tl_keyword contained symbol-value symbolp symdiff symlink
syn keyword tl_keyword contained sys:%backpatch-high16% sys:%backpatch-low16% sys:%big-endian% sys:%bin-op%
syn keyword tl_keyword contained sys:%bin-ops% sys:%block-using-funs% sys:%call-op% sys:%const-foldable%
syn keyword tl_keyword contained sys:%const-foldable-funs% sys:%dbg-command-env% sys:%dbg-commands% sys:%effect-free%
syn keyword tl_keyword contained sys:%effect-free-funs% sys:%eval-cache% sys:%functional% sys:%functional-funs%
syn keyword tl_keyword contained sys:%gcall-op% sys:%lev-bits% sys:%lev-size% sys:%max-lambda-fixed-args%
syn keyword tl_keyword contained sys:%max-lev% sys:%max-lev-idx% sys:%max-sm-lev% sys:%max-sm-lev-idx%
syn keyword tl_keyword contained sys:%max-v-lev% sys:%nary-ops% sys:%oc-code% sys:%oc-hash%
syn keyword tl_keyword contained sys:%oc-list-builder% sys:%package-manip% sys:%param-info% sys:%quip-rand-state%
syn keyword tl_keyword contained sys:%quips% sys:%shuffled-quips% sys:%sm-lev-bits% sys:%sm-lev-size%
syn keyword tl_keyword contained sys:%test-funs% sys:%test-funs-neg% sys:%test-funs-ops% sys:%test-funs-pos%
syn keyword tl_keyword contained sys:%test-inv% sys:%test-opcode% sys:%tlo-ver% sys:%warning-syms%
syn keyword tl_keyword contained sys:*dedup* sys:*emit* sys:*eval* sys:*in-compilation-unit*
syn keyword tl_keyword contained sys:*lazy-streams* sys:*load-recursive* sys:*load-time* sys:*match-form*
syn keyword tl_keyword contained sys:*op-ctx* sys:*pl-env* sys:*pl-form* sys:*struct-prelude*
syn keyword tl_keyword contained sys:*struct-prelude-alists* sys:*top-level* sys:*trace-hash* sys:*trace-level*
syn keyword tl_keyword contained sys:*unchecked-calls* sys:abscond* sys:abscond-from sys:add-neg-parens
syn keyword tl_keyword contained sys:analyze-argtypes sys:analyze-params sys:apply sys:arith-each
syn keyword tl_keyword contained sys:asm-error sys:assumed-fun sys:autoload-try-fun sys:awk%--rng
syn keyword tl_keyword contained sys:awk%--rng+ sys:awk%--rng- sys:awk%-rng+ sys:awk%rng+
syn keyword tl_keyword contained sys:awk-code-move-check sys:awk-error sys:awk-expander sys:awk-field-name-code
syn keyword tl_keyword contained sys:awk-fun-let sys:awk-fun-shadowing-env sys:awk-mac-let sys:awk-mac-let-outer
syn keyword tl_keyword contained sys:awk-redir sys:awk-symac-let sys:awk-test sys:b*
syn keyword tl_keyword contained sys:b+ sys:b- sys:b/ sys:b<
syn keyword tl_keyword contained sys:b<= sys:b= sys:b=> sys:b>
syn keyword tl_keyword contained sys:bad-slot-syntax sys:bind-mac-check sys:bind-mac-error sys:bindable-check
syn keyword tl_keyword contained sys:bits sys:bits-to-obj sys:blk sys:build-expander
syn keyword tl_keyword contained sys:cached-sort-body sys:capture-cont sys:careful-subst-preserve sys:catch
syn keyword tl_keyword contained sys:check sys:check-end sys:check-slot sys:check-struct
syn keyword tl_keyword contained sys:check-sym sys:circref sys:comma-positions sys:compat
syn keyword tl_keyword contained sys:compile-and-match sys:compile-as-match sys:compile-atom-match sys:compile-cons-structure
syn keyword tl_keyword contained sys:compile-exprs-match sys:compile-file-conditionally sys:compile-hash-match sys:compile-loop-match
syn keyword tl_keyword contained sys:compile-match sys:compile-new-var-match sys:compile-not-match sys:compile-or-match
syn keyword tl_keyword contained sys:compile-predicate-match sys:compile-range-match sys:compile-require-match sys:compile-scan-match
syn keyword tl_keyword contained sys:compile-struct-match sys:compile-var-match sys:compile-vec-match sys:compile-with-match
syn keyword tl_keyword contained sys:compiler-emit-warnings sys:conv sys:conv-expand sys:conv-expand-sym
syn keyword tl_keyword contained sys:conv-let sys:ctx-form sys:ctx-name sys:dbg-all
syn keyword tl_keyword contained sys:dbg-backtrace sys:dbg-clear sys:dbg-enable sys:dbg-restore
syn keyword tl_keyword contained sys:dbg-set sys:dbg-step sys:debugger sys:debugger-help
syn keyword tl_keyword contained sys:dedup sys:dedup-labels sys:deffi-cb-expander sys:define-method
syn keyword tl_keyword contained sys:defset-expander sys:defset-expander-simple sys:detached-run sys:dig
syn keyword tl_keyword contained sys:disassemble-cdf sys:dlib-expr sys:do-conv sys:do-copy-obj
syn keyword tl_keyword contained sys:do-path-test sys:do-tweak-obj sys:doc-syms sys:dump-to-tlo
syn keyword tl_keyword contained sys:dvbind sys:dwim-del sys:dwim-set sys:dyn-size
syn keyword tl_keyword contained sys:each-match-expander sys:each-op sys:early-peephole sys:enc-small-op
syn keyword tl_keyword contained sys:ensure-op-arg sys:env-to-let sys:eq-comparable sys:eql-comparable
syn keyword tl_keyword contained sys:eval-cache-emit-warnings sys:eval-err sys:expand-and sys:expand-arith-each-prod
syn keyword tl_keyword contained sys:expand-bind-mac-params sys:expand-defmacro sys:expand-defsymacro sys:expand-defun
syn keyword tl_keyword contained sys:expand-defvarl sys:expand-dohash sys:expand-doloop sys:expand-each
syn keyword tl_keyword contained sys:expand-each-prod sys:expand-each-prod* sys:expand-handle sys:expand-lambda-match
syn keyword tl_keyword contained sys:expand-neg-parens sys:expand-param-macro sys:expand-params sys:expand-pic
syn keyword tl_keyword contained sys:expand-pic-align sys:expand-pic-num sys:expand-pic-num-commas sys:expand-quasi
syn keyword tl_keyword contained sys:expand-quasi-args sys:expand-quasi-match sys:expand-quasi-mods sys:expand-sym-ref
syn keyword tl_keyword contained sys:expr sys:fbind sys:find-parent sys:fixed-point
syn keyword tl_keyword contained sys:flatten-or sys:fmt-flex sys:fmt-join sys:fmt-simple
syn keyword tl_keyword contained sys:for-op sys:gc sys:gc-set-delta sys:get-buf-common
syn keyword tl_keyword contained sys:get-fun-getter-setter sys:get-mb sys:get-param-info sys:get-place-macro
syn keyword tl_keyword contained sys:get-var-list sys:get-vars sys:get-vb sys:getopts-error
syn keyword tl_keyword contained sys:handle-bad-syntax sys:handle-mutated-var-args sys:hlet-expand sys:if-to-cond
syn keyword tl_keyword contained sys:ign-notfound sys:in6addr-condensed-text sys:insert-commas sys:is-label
syn keyword tl_keyword contained sys:l1-setq sys:l1-val sys:lambda-apply-transform sys:lambda-excess-apply-list
syn keyword tl_keyword contained sys:lambda-short-apply-list sys:lambda-too-few-args sys:lambda-too-many-args sys:lbind
syn keyword tl_keyword contained sys:lisp1-setq sys:lisp1-value sys:list-builder-flets sys:list-from-vm-desc
syn keyword tl_keyword contained sys:load-time-lit sys:loc sys:loosen sys:mac-env-flatten
syn keyword tl_keyword contained sys:make-anon-package sys:make-command-env sys:make-copy-path-opts sys:make-struct-lit
syn keyword tl_keyword contained sys:make-struct-type sys:mark-special sys:match-pat-error sys:maybe-mov
syn keyword tl_keyword contained sys:meth-lambda sys:misleading-ref-check sys:name-str sys:new-expander
syn keyword tl_keyword contained sys:new-type sys:no-dvbind-eval sys:non-triv-pat-p sys:null-reg
syn keyword tl_keyword contained sys:obtain-impl sys:op-alpha-rename sys:op-ensure-rec sys:op-expand
syn keyword tl_keyword contained sys:op-meta-p sys:op-rec-p sys:open-compile-streams sys:open-url
syn keyword tl_keyword contained sys:operand-to-exp sys:operand-to-sym sys:opip-expand sys:opip-let-p
syn keyword tl_keyword contained sys:opip-single-let-p sys:opt-controlled-diag sys:opt-dash sys:opt-err
syn keyword tl_keyword contained sys:orig-form sys:os-symbol sys:param-check sys:parse-compound-operand
syn keyword tl_keyword contained sys:parse-lambda-match-clause sys:parse-operand sys:pat-len sys:path-access
syn keyword tl_keyword contained sys:path-examine sys:path-simplify sys:path-split sys:path-test-mode
syn keyword tl_keyword contained sys:path-test-type sys:path-volume sys:pic-join-opt sys:placelet-1
syn keyword tl_keyword contained sys:print-backtrace sys:propagate-ancestor sys:propagate-perms sys:prune-missing-inits
syn keyword tl_keyword contained sys:qquote sys:quasi sys:quasilist sys:r-s-let-expander
syn keyword tl_keyword contained sys:reduce-constant sys:reduce-lisp sys:reduce-or sys:reg-expand-nongreedy
syn keyword tl_keyword contained sys:register-opcode sys:register-simple-accessor sys:repl sys:rewrite
syn keyword tl_keyword contained sys:rewrite-case sys:rplaca sys:rplacd sys:rslotset
syn keyword tl_keyword contained sys:rt-assert-fail sys:rt-defmacro sys:rt-defsymacro sys:rt-defun
syn keyword tl_keyword contained sys:rt-defv sys:rt-defvarl sys:rt-load-for sys:rt-pprof
syn keyword tl_keyword contained sys:rt-progv sys:safe-abs-path sys:safe-const-eval sys:safe-const-reduce
syn keyword tl_keyword contained sys:safe-constantp sys:set-hash-traversal-limit sys:set-macro-ancestor sys:set-symbol-value
syn keyword tl_keyword contained sys:setq sys:setqf sys:simplify-or sys:slot-types
syn keyword tl_keyword contained sys:small-op-p sys:small-op-to-sym sys:splice sys:static-slot-types
syn keyword tl_keyword contained sys:str-inaddr-net-impl sys:struct-lit sys:subst-preserve sys:switch
syn keyword tl_keyword contained sys:sym-clobber-expander sys:sym-delete-expander sys:sym-update-expander sys:system-symbol-p
syn keyword tl_keyword contained sys:top-fb sys:top-mb sys:top-vb sys:tr*
syn keyword tl_keyword contained sys:trace sys:trace-canonicalize-name sys:trace-enter sys:trace-leave
syn keyword tl_keyword contained sys:trace-redefine-check sys:transform-qquote sys:translate-hash-bang sys:tree-construct
syn keyword tl_keyword contained sys:trfm sys:true-const-p sys:txr-case-impl sys:typecase-expander
syn keyword tl_keyword contained sys:unquote sys:untrace sys:upenv sys:uw-block
syn keyword tl_keyword contained sys:uw-captured-block sys:uw-catch sys:uw-cont-copy sys:uw-eval
syn keyword tl_keyword contained sys:uw-expand sys:uw-fcall sys:uw-guard sys:uw-handle
syn keyword tl_keyword contained sys:uw-menv sys:var sys:var-pat-p sys:vars-check
syn keyword tl_keyword contained sys:vm-closure-desc sys:vm-closure-entry sys:vm-desc-bytecode sys:vm-desc-datavec
syn keyword tl_keyword contained sys:vm-desc-nlevels sys:vm-desc-nregs sys:vm-desc-symvec sys:vm-execute-toplevel
syn keyword tl_keyword contained sys:vm-make-desc sys:wdwrap sys:when-exprs-match sys:when-opt
syn keyword tl_keyword contained sys:with-disabled-debugging sys:with-dyn-lib-check syslog system-package
syn keyword tl_keyword contained t tab0 tab1 tab2
syn keyword tl_keyword contained tab3 tabdly tagbody tailp
syn keyword tl_keyword contained take take-until take-while tan
syn keyword tl_keyword contained tanh tb tc tcdrain
syn keyword tl_keyword contained tcflow tcflush tcgetattr tciflush
syn keyword tl_keyword contained tcioff tcioflush tcion tcoflush
syn keyword tl_keyword contained tcooff tcoon tcp-nodelay tcsadrain
syn keyword tl_keyword contained tcsaflush tcsanow tcsendbreak tcsetattr
syn keyword tl_keyword contained tentative-def-exists tenth test-clear test-clear-dirty
syn keyword tl_keyword contained test-dec test-dirty test-inc test-neq-set-indent-mode
syn keyword tl_keyword contained test-set test-set-indent-mode tf tgamma
syn keyword tl_keyword contained third throw throwf time
syn keyword tl_keyword contained time-fields-local time-fields-utc time-nsec time-parse
syn keyword tl_keyword contained time-parse-local time-parse-utc time-str-local time-str-utc
syn keyword tl_keyword contained time-string-local time-string-utc time-struct-local time-struct-utc
syn keyword tl_keyword contained time-t time-usec tmpfile tnode
syn keyword tl_keyword contained tnodep to tofloat tofloatz
syn keyword tl_keyword contained toint tointz tojson tok
syn keyword tl_keyword contained tok-str tok-where tokn tostop
syn keyword tl_keyword contained tostring tostringp touch tprint
syn keyword tl_keyword contained trace transpose tree tree-begin
syn keyword tl_keyword contained tree-bind tree-case tree-clear tree-count
syn keyword tl_keyword contained tree-del-min tree-del-min-node tree-delete tree-delete-node
syn keyword tl_keyword contained tree-delete-specific-node tree-find tree-insert tree-insert-node
syn keyword tl_keyword contained tree-lookup tree-lookup-node tree-min tree-min-node
syn keyword tl_keyword contained tree-next tree-peek tree-reset tree-root
syn keyword tl_keyword contained treep trie-add trie-compress trie-lookup-begin
syn keyword tl_keyword contained trie-lookup-feed-char trie-value-at trim-left trim-long-suffix
syn keyword tl_keyword contained trim-path-seps trim-right trim-short-suffix trim-str
syn keyword tl_keyword contained true trunc trunc-rem truncate-stream
syn keyword tl_keyword contained tuples tuples* txr-case txr-exe-path
syn keyword tl_keyword contained txr-if txr-parse txr-path txr-version
syn keyword tl_keyword contained txr-when typecase typedef typeof
syn keyword tl_keyword contained typep ubit uchar uid-t
syn keyword tl_keyword contained uint uint-buf uint-carray uint-ptr-t
syn keyword tl_keyword contained uint16 uint32 uint64 uint8
syn keyword tl_keyword contained uintmax-t ulong ulonglong umask
syn keyword tl_keyword contained umeth umethod uname unget-byte
syn keyword tl_keyword contained unget-char uni unintern union
syn keyword tl_keyword contained union-get union-in union-members union-out
syn keyword tl_keyword contained union-put uniq unique unless
syn keyword tl_keyword contained unquote unsetenv until until*
syn keyword tl_keyword contained untrace unuse-package unuse-sym unwind-protect
syn keyword tl_keyword contained upcase-str upd update uref
syn keyword tl_keyword contained url-decode url-encode use use-package
syn keyword tl_keyword contained use-sym user-package ushort usl
syn keyword tl_keyword contained usleep uslot utimes val
syn keyword tl_keyword contained vdiscard vec vec-carray vec-list
syn keyword tl_keyword contained vec-push vec-seq vec-set-length vecref
syn keyword tl_keyword contained vector vector-list vectorp veof
syn keyword tl_keyword contained veol veol2 verase vintr
syn keyword tl_keyword contained vkill vlnext vm-fun-p vmin
syn keyword tl_keyword contained void vquit vreprint vstart
syn keyword tl_keyword contained vstop vsusp vswtc vt0
syn keyword tl_keyword contained vt1 vtdly vtime vwerase
syn keyword tl_keyword contained w-continued w-coredump w-exitstatus w-ifcontinued
syn keyword tl_keyword contained w-ifexited w-ifsignaled w-ifstopped w-nohang
syn keyword tl_keyword contained w-stopsig w-termsig w-untraced wait
syn keyword tl_keyword contained wchar weave when when-match
syn keyword tl_keyword contained whena whenlet where while
syn keyword tl_keyword contained while* while-match while-match-case while-true-match-case
syn keyword tl_keyword contained whilet width width-check window-map
syn keyword tl_keyword contained window-mapdo window-mappend wint-t with-clobber-expander
syn keyword tl_keyword contained with-compilation-unit with-compile-opts with-delete-expander with-dyn-lib
syn keyword tl_keyword contained with-gensyms with-hash-iter with-in-buf-stream with-in-string-byte-stream
syn keyword tl_keyword contained with-in-string-stream with-objects with-out-buf-stream with-out-string-stream
syn keyword tl_keyword contained with-out-strlist-stream with-resources with-slots with-stream
syn keyword tl_keyword contained with-update-expander wrap wrap* wstr
syn keyword tl_keyword contained wstr-d wstr-s xcase y0
syn keyword tl_keyword contained y1 yield yield-from yn
syn keyword tl_keyword contained zap zarray zchar zero-fill
syn keyword tl_keyword contained zerop zip znew
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_splicevar "[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "\(@[ \t]*\)\+[0-9]\+"
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ "`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ /sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match tl_error "#[^HSRTN]"

syn match txr_chr "#\\x[0-9A-Fa-f]\+"
syn match txr_chr "#\\o[0-7]\+"
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]"
syn match txr_chr "#\\[A-Za-z_0-9]\+"
syn match txr_ncomment ";.*"

syn match txr_hashbang "\%^#!.*"

syn match txr_qat "\(@[ \t]*\)" nextgroup=txr_splicevar,txr_metanum,txr_qbracevar,txr_list,txr_bracket,txr_escat,txr_stresc,txr_numesc,txr_badesc contained
syn match txr_dot "\." contained
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~]*[A-Za-z_!$%&*+\-<=>?\\_~^][A-Za-z_0-9!$%&*+\-<=>?\\_~^]*" contained
syn match txr_braced_ident "\(#\?:\)\?[[A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match tl_ident "\(#\?:\)\?[A-Za-z_0-9!$%&*+\-<=>?\\_~/]\+[A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]*"
syn match txr_pnum "#[xob][+\-]\?[A-Za-z_0-9,]\+" contains=txr_xnum,txr_bnum,txr_onum
syn match txr_xnum "#x[+\-]\?\([0-9A-Fa-f][,0-9A-Fa-f]*[0-9A-Fa-f]\|[0-9A-Fa-f]\)" containedin=txr_pnum contained
syn match txr_onum "#o[+\-]\?\([0-7][,0-7]*[0-7]\|[0-7]\)" containedin=txr_pnum contained
syn match txr_bnum "#b[+\-]\?\([01][,01]*[01]\|[01]\)" containedin=txr_pnum contained
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)"
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)\?[.]\([0-9][,0-9]*[0-9]\|[0-9]\)\([eE][+\-]\?[0-9]\+\)\?"
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)[.]\?\([eE][+\-]\?[0-9]\+\)"
syn match txr_badnum "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)\?[.]\([0-9][,0-9]*[0-9]\|[0-9]\)\([A-DF-Za-dfz_!$%&*+\-<=>?\\_~^/#]\|[eE][^+\-0-9]\|[eE][+/-]\?$\|[eE][+\-][^0-9]\)"
syn match txr_badnum "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)[.]\?\([A-DF-Za-dfz_!$%&*+\-<=>?\\_~^/#]\|[eE][^+\-0-9]\|[eE][+/-]\?$\|[eE][+\-][^0-9]\)"
syn match tl_ident "#\?:"
syn match tl_splice "[ \t,]\|,[*]"

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'"
syn match txr_quote "\^"
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@"

syn match txr_buf_error "[^']" contained
syn match txr_buf_interior "\([0-9A-Fa-f][\n\t ]*[0-9A-Fa-f]\|[\n\t ]\+\)" contained

syn region txr_bracevar contained matchgroup=Delimiter start="[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_qbracevar contained matchgroup=Delimiter start="[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_list matchgroup=Delimiter start="\(#[HSRTN]\?\)\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_bracket matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_string start=+#\?\*\?"+ skip=+\\\n+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit start=+#\?\*\?`+ skip=+\\\n+ end=+[`\n]+ contains=txr_qat
syn region txr_regex start="/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex start="#/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region txr_buf matchgroup=txr_buf start="#b'" end="'" contains=txr_buf_interior,txr_buf_error
syn region txr_ign matchgroup=Comment start="#;" end="[ \(\)\[\]]"me=e   contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_ign matchgroup=Comment start="#;[ \t',^@]*\(#[HSRTN]\?\)\?(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign matchgroup=Comment start="#;[ \t',^@]*\(#[HSRTNJ]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_json matchgroup=Comment start="#;[ \t',^@]*#J[~^]*{" matchgroup=Comment end="}" contains=txr_ign_interior
syn region txr_ign_json matchgroup=Comment start="#;[ \t',^@]*#J[~^]*\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_json matchgroup=Comment start="#;[ \t',^@]*#J[~^]*(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="{" matchgroup=Comment end="}" contains=txr_ign_interior

syn match txr_jerr "." contained
syn match txr_jpunc "[,: \t\n]" contained
syn match txr_jesc "\\[bfnrt"\\/]" contained
syn match txr_juesc "\\u[0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f]" contained
syn match txr_jnum "-\?\(0\|[1-9][0-9]*\)\([.][0-9]\+\)\?\([Ee][+-]\?[0-9]\+\)\?" contained
syn match txr_jkeyword "true\|false\|null" contained

syn region txr_jatom matchgroup=Delimiter start="#J\^\?[\t\n ]*"rs=e end="[\t\n ]\|[\])}]"re=e-1 contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_junqtok contained matchgroup=Delimiter start="\~" end="[ \(\)\[\]{}]"re=s contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_junqlist contained matchgroup=Delimiter start="\~\*\?#\?(" end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_junqbkt contained matchgroup=Delimiter start="\~\*\?\[" end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_jstring contained matchgroup=Delimiter start=+"+ end=+["\n]+ contains=txr_jesc,txr_juesc,txr_badesc
syn region txr_jarray matchgroup=Delimiter start="#J\^\?[\t\n ]*\[" matchgroup=Delimiter end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash matchgroup=Delimiter start="#J\^\?[\t\n ]*{" matchgroup=Delimiter end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jarray_in contained matchgroup=Delimiter start="\[" end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash_in contained matchgroup=Delimiter start="{" end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr

syn match txr_circ "#[0-9]\+[#=]" contained

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_qat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_xnum Number
hi def link txr_bnum Number
hi def link txr_onum Number
hi def link txr_badnum Error
hi def link txr_pnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_circ Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link tl_error Error
hi def link txr_nested_error Error
hi def link txr_buf String
hi def link txr_buf_interior String
hi def link txr_buf_error Error
hi def link txr_ign_interior Comment
hi def link txr_ign Comment
hi def link txr_ign_json Comment

hi def link txr_jkeyword Type
hi def link txr_jnum Number
hi def link txr_jstring String
hi def link txr_jesc Special
hi def link txr_juesc Special
hi def link txr_jpunc Special
hi def link txr_jerr Error

let b:current_syntax = "lisp"

set lispwords=ado,alet,align,alignof,ap,append-each,append-each*,append-each-prod,append-each-prod*,append-match-products,append-matches,aret,array,arraysize,assert,awk,bit,block,block*,bool,buf,buf-d,build,buildn,carray,caseq,caseq*,caseql,caseql*,casequal,casequal*,catch,catch*,catch**,clear-mask,close-lazy-streams,collect-each,collect-each*,collect-each-prod,collect-each-prod*,compare-swap,compile-only,compiler-let,cond,conda,condlet,cptr,dec,defex,deffi,deffi-cb,deffi-cb-unsafe,deffi-struct,deffi-sym,deffi-type,deffi-union,deffi-var,define-accessor,define-modify-macro,define-option-struct,define-param-expander,define-place-macro,define-struct-clause,define-struct-prelude,defmacro,defmatch,defmeth,defpackage,defparm,defparml,defplace,defset,defstruct,defsymacro,defun,defun-match,defvar,defvarl,del,delay,do,dohash,doloop,doloop*,dotimes,each,each*,each-false,each-match,each-match-product,each-prod,each-prod*,each-true,ecaseq,ecaseq*,ecaseql,ecaseql*,ecasequal,ecasequal*,elemsize,elemtype,enum,enumed,equot,etypecase,eval-only,expander-let,ffi,flet,flip,flow,for,for*,fun,gen,go,gun,handle,handle*,handler-bind,hlet,hlet*,ido,if,if-match,ifa,iflet,ignerr,ignwarn,in-package,ip,json,keep-match-products,keep-matches,labels,lambda,lambda-match,lcons,ldo,let,let*,lnew*,load-for,load-time,lop,lset,mac-env-param-bind,mac-param-bind,macro-time,macrolet,match,match-case,match-cond,match-ecase,mlet,mul-each,mul-each*,mul-each-prod,mul-each-prod*,nand,new*,nor,obtain,obtain*,obtain*-block,obtain-block,offsetof,op,pack,pdec,pic,pinc,placelet,placelet*,pop,pop-after-load,pprof,prof,prog,prog*,prog1,prog2,progn,progv,ptr,ptr-in,ptr-in-d,ptr-out,ptr-out-d,ptr-out-s,push,push-after-load,pushnew,ret,return,return-from,rlet,rslot,sbit,set-mask,sizeof,slet,some-false,some-true,splice,struct,sum-each,sum-each*,sum-each-prod,sum-each-prod*,suspend,symacrolet,sys:abscond-from,sys:arith-each,sys:awk-fun-let,sys:awk-mac-let,sys:awk-mac-let-outer,sys:awk-redir,sys:awk-symac-let,sys:blk,sys:cached-sort-body,sys:catch,sys:conv,sys:conv-expand-sym,sys:dlib-expr,sys:dvbind,sys:each-op,sys:expr,sys:fbind,sys:fixed-point,sys:for-op,sys:ign-notfound,sys:l1-val,sys:lbind,sys:lisp1-value,sys:load-time-lit,sys:meth-lambda,sys:path-examine,sys:placelet-1,sys:rewrite-case,sys:splice,sys:struct-lit,sys:switch,sys:txr-case-impl,sys:unquote,sys:upenv,sys:var,sys:when-exprs-match,sys:when-opt,sys:with-disabled-debugging,tagbody,tb,tc,test-clear,test-dec,test-inc,test-set,trace,tree-bind,tree-case,txr-case,txr-if,txr-when,typecase,typedef,ubit,union,unless,unquote,until,until*,untrace,unwind-protect,upd,uref,when,when-match,whena,whenlet,while,while*,while-match,while-match-case,while-true-match-case,whilet,with-clobber-expander,with-compilation-unit,with-compile-opts,with-delete-expander,with-dyn-lib,with-gensyms,with-hash-iter,with-in-buf-stream,with-in-string-byte-stream,with-in-string-stream,with-objects,with-out-buf-stream,with-out-string-stream,with-out-strlist-stream,with-resources,with-slots,with-stream,with-update-expander,yield,yield-from,zap,zarray,znew,:method,:function,:init,:postinit,:fini
set comments=:\;\;\;,:\;\;,:\;
